%global serial 2
%global meadalpha %{nil}
%global meadrel %{nil}
%{?scl:%scl_package libunix-dbus-java}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}libunix-dbus-java
Version:        0.8.0
Release:        %{serial}%{?dist}
Summary:        Unix Sockets Library for DBus Java
Group:          Development/Libraries
License:        MIT
URL:            https://github.com/abstractj/libunix-dbus-java
Source0:        https://github.com/abstractj/%{pkg_name}/archive/%{pkg_name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  java-1.8.0-openjdk-devel
BuildRequires:  libtool
BuildRequires:  zlib-devel

%description
Native code to allow you to read and write Unix sockets in Java.


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{pkg_name}-%{pkg_name}-%{version}

find -type d -exec chmod 755 {} ';'
find -type f -exec chmod 644 {} ';'
echo %{java_home}
find %{java_home} -name jni.h

mkdir -p m4
autoreconf -i -f

%build
export CFLAGS="-g -fPIC -std=c99"
%configure --disable-static --with-jvm=%{java_home}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
%make_install

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Thu Feb 28 2019 Scott Poore <spoore@redhat.com> - 0.8.0-3
- add "-g -fPIC" to cflags to build on RHEL8

* Tue Oct 11 2016 Fernando Nasser <fnasser@redhat.com> - 0.8.0-2
- Remove dependency on alternatives

* Sat Sep 10 2016 David Walluck <dwalluck@redhat.com> - 0.8.0-1
- fix build

* Fri Sep 09 2016 Fernando Nasser <fnasser@redhat.com> - 0.8.0-1
- Initial build

* Wed Mar 02 2016 Bruno Oliveira da Silva <abstractj@redhat.com>
- Initial release
